/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.Partition;
import net.northking.cctp.common.db.entity.Entity;

import java.util.Date;


/**
 * 跨项目缺陷趋势图
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-11-12 15:54:20  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "跨项目缺陷趋势图")
public class BugOverallTendencyChart extends Partition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_unsolved = "unsolved";
  public static final String KEY_solved = "solved";
  public static final String KEY_all = "all";
  public static final String KEY_proId = "proId";
  public static final String KEY_recordType = "recordType";

  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 32, message="-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 50, message="租户id-tenantId: 数据长度不能 > 50" )
  private String tenantId;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  @Size(max = 50, message="创建时间-createdTime: 数据长度不能 > 50" )
  private Date createdTime;
  /**
   * 未解决<br>
   */
  @ApiModelProperty("未解决")
  private Integer unsolved;
  /**
   * 已解决<br>
   */
  @ApiModelProperty("已解决")
  private Integer solved;
  /**
   * 所有<br>
   */
  @ApiModelProperty("所有")
  private Integer all;
  /**
   * 项目id<br>
   */
  @ApiModelProperty("项目id")
  private String proId;
  /**
   * recordType<br>
   */
  @ApiModelProperty("记录类型")
  private Integer recordType;

  /**
   * <br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  /**
   * 创建人<br>
   */
  @Override
  public String getCreatedBy() {
    return null;
  }

  /**
   * 创建人<br>
   *
   * @param creator 创建人
   */
  @Override
  public void setCreatedBy(String creator) {

  }


  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  @Override
  public void setCreatedTime(Date createdTime) {
    this.createdTime=createdTime;
  }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
    return createdTime;
  }
  /**
   * 更新人<br>
   */
  @Override
  public String getUpdatedBy() {
    return null;
  }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  @Override
  public void setUpdatedBy(String updatedBy) {

  }

  /**
   * 更新时间<br>
   */
  @Override
  public Date getUpdatedTime() {
    return null;
  }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  @Override
  public void setUpdatedTime(Date updatedTime) {

  }

  /**
   * 未解决<br>
   */
  public Integer getUnsolved()
  {
      return unsolved;
    }

  /**
   * 未解决<br>
   *
   * @param unsolved 未解决
   */
  public void setUnsolved(Integer unsolved)
  {
      this.unsolved = unsolved;
    }
  /**
   * 已解决<br>
   */
  public Integer getSolved()
  {
      return solved;
    }

  /**
   * 已解决<br>
   *
   * @param solved 已解决
   */
  public void setSolved(Integer solved)
  {
      this.solved = solved;
    }
  /**
   * 所有<br>
   */
  public Integer getAll()
  {
      return all;
    }

  /**
   * 所有<br>
   *
   * @param all 所有
   */
  public void setAll(Integer all)
  {
      this.all = all;
    }

  public String getProId() {
    return proId;
  }

  public void setProId(String proId) {
    this.proId = proId;
  }

  public Integer getRecordType() {
    return recordType;
  }

  public void setRecordType(Integer recordType) {
    this.recordType = recordType;
  }

  public BugOverallTendencyChart()
  {
  }

}
